GDB (xrefs)

Functions
mi-out.c File Reference
`#include "defs.h"`
`#include "ui-out.h"`
`#include "mi-out.h"`
`#include <vector>`

Go to the source code of this file.

## Functions
mi_ui_out * | mi_out_new (int mi_version)
static mi_ui_out * | as_mi_ui_out (ui_out *uiout)
int | mi_version (ui_out *uiout)
void | mi_out_put (ui_out *uiout, struct ui_file *stream)
void | mi_out_rewind (ui_out *uiout)

## Function Documentation

## ◆ as_mi_ui_out()

static mi_ui_out* as_mi_ui_out | ( | ui_out * | uiout | ) |
| static

Definition at line 301 of file mi-out.c.

References gdb_assert.

Referenced by mi_out_put(), mi_out_rewind(), and mi_version().

## ◆ mi_out_new()

mi_ui_out* mi_out_new | ( | int | mi_version | ) |

Definition at line 292 of file mi-out.c.

References mi_version().

Referenced by mi_interp::init(), and mi_load_progress().

## ◆ mi_out_put()

void mi_out_put | ( | ui_out * | uiout,
|  | struct ui_file * | stream
| ) |  |

Definition at line 317 of file mi-out.c.

References as_mi_ui_out(), and mi_ui_out::put().

Referenced by captured_mi_execute_command(), mi_cmd_gdb_exit(), mi_load_progress(), and mi_on_normal_stop_1().

## ◆ mi_out_rewind()

void mi_out_rewind | ( | ui_out * | uiout | ) |

Definition at line 323 of file mi-out.c.

References as_mi_ui_out(), and mi_ui_out::rewind().

Referenced by captured_mi_execute_command(), mi_execute_command(), and mi_on_normal_stop_1().

## ◆ mi_version()

int mi_version | ( | ui_out * | uiout | ) |

Definition at line 311 of file mi-out.c.

References as_mi_ui_out(), and mi_ui_out::version().

Referenced by mi_interp::init(), mi_cmd_env_dir(), mi_cmd_env_path(), mi_cmd_env_pwd(), mi_cmd_var_list_children(), mi_cmd_var_update(), mi_out_new(), and varobj_update_one().